# Class RcsbFvStructure<R, L, S>

#### Type Parameters

- #### R

- #### L

- #### S

#### Hierarchy

- Component<RcsbFvStructureConfigInterface<R, S> & RcsbFvStructureAdditionalInterface<R, L, S>, RcsbFvStructureConfigInterface<R, S>>
  - RcsbFvStructure

- Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:19

#####
Index

### Constructors

constructor

### Methods

componentDidMount
componentWillUnmount
render
updateDimensions
componentId
setSize

## Constructors

### constructor

- new RcsbFvStructure<R, L, S>(props): RcsbFvStructure<R, L, S>

- #### Type Parameters

  - #### R

  - #### L

  - #### S

  #### Parameters

  - ##### props: RcsbFvStructureConfigInterface<R, S> & RcsbFvStructureAdditionalInterface<R, L, S> | Readonly<RcsbFvStructureConfigInterface<R, S> & RcsbFvStructureAdditionalInterface<R, L, S>>

  #### Returns RcsbFvStructure<R, L, S>

  Inherited from React.Component <RcsbFvStructureConfigInterface<R,S> & RcsbFvStructureAdditionalInterface<R,L,S>, RcsbFvStructureConfigInterface<R,S> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:519
- new RcsbFvStructure<R, L, S>(props, context): RcsbFvStructure<R, L, S>

- #### Type Parameters

  - #### R

  - #### L

  - #### S

  #### Parameters

  - ##### props: RcsbFvStructureConfigInterface<R, S> & RcsbFvStructureAdditionalInterface<R, L, S>

  - ##### context: any

  #### Returns RcsbFvStructure<R, L, S>

  #### Deprecated

  #### See

  https://legacy.reactjs.org/docs/legacy-context.html

  Inherited from React.Component <RcsbFvStructureConfigInterface<R,S> & RcsbFvStructureAdditionalInterface<R,L,S>, RcsbFvStructureConfigInterface<R,S> >.constructor

  - Defined in node_modules/@types/react/index.d.ts:524

## Methods

### componentDidMount

- componentDidMount(): Promise<void>

- #### Returns Promise<void>

  Overrides React.Component.componentDidMount

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:29

### componentWillUnmount

- componentWillUnmount(): void

- #### Returns void

  Overrides React.Component.componentWillUnmount

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:38

### render

- render(): Element

- #### Returns Element

  Overrides React.Component.render

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:21

### `Private` updateDimensions

- updateDimensions(): void

- #### Returns void

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:42

### `Static` componentId

- componentId(id): string

- #### Parameters

  - ##### id: string

  #### Returns string

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:60

### `Static` `Private` setSize

- setSize(element, rect): void

- #### Parameters

  - ##### element: null | HTMLElement

  - ##### rect: undefined | DOMRect

  #### Returns void

  - Defined in src/RcsbFvStructure/RcsbFvStructure.tsx:51

Generated using TypeDoc